FEGETEXCEPTFLAG(3)

NAME
fegetexceptflag - get floating-point status flags

SYNOPSIS

#include <fenv.h>

int fegetexceptflag(fexcept_t *flagp, int excepts);

DESCRIPTION

This method attempts to store an implementation-defined representation of the states of the floating-point status flags specified by excepts in the memory pointed to by flagp.

RETURNS

If the information was successfully returned, this method returns zero. Otherwise, a non-zero value is returned.

PORTABILITY

ANSI C requires fegetexceptflag.

Not all Newlib targets have a working implementation. Refer to the file sys/fenv.h to see the status for your target.